Bug 139453 - UI: The Base preview for recent opened files isn't it. The transparency around the icon feels off
Summary: UI: The Base preview for recent opened files isn't it. The transparency aroun...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Heiko Tietze
URL:
Whiteboard: target:7.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-06 19:40 UTC by Telesto
Modified: 2021-04-14 20:36 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot (107.43 KB, image/png)
2021-01-06 19:41 UTC, Telesto
Details
base_preview.png (13.87 KB, image/png)
2021-02-24 15:15 UTC, andreas_k
Details
base_preview.svg (22.44 KB, image/svg+xml)
2021-02-24 15:16 UTC, andreas_k
Details
Large MIME type in protected presentation file (37.46 KB, image/png)
2021-04-11 23:19 UTC, Rizal Muttaqin
Details
Screenshot (35.96 KB, image/png)
2021-04-12 07:26 UTC, Heiko Tietze
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2021-01-06 19:40:47 UTC
Description:
UI: The Base preview for recent opened files isn't it. The transparency around the icon feels off 

Steps to Reproduce:
1. Open Base
2. Create a database with the wizard default settings.. and save
3. Close (go back to start center)

Actual Results:
See screenshot

Expected Results:
Not totally sure, but this doesn't look nice


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.2.0.0.alpha0+ (x64)
Build ID: 4e3ce9dd6ace0b22f7b3f45cf2338b201f4dc305
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: default; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 1 Telesto 2021-01-06 19:41:38 UTC
Created attachment 168725 [details]
Screenshot
Comment 2 Alex Thurgood 2021-01-07 13:56:26 UTC
There is no preview of the database file, it has always only ever been an icon, so I guess what you are seeing there is kind of expected.

The ODB file contains several subcomponents, the question is then which one should be displayed if it were decided to implement a preview thumbnail? The main ODB window is a container from which there is no single extractable previewable content, which is probably why it only makes sense to display the Base icon.

Can't comment on the transparency issue though, I guess that would have something to do with the background fill.

Setting to confirmed, but not really certain what can be done about it.
Comment 3 Telesto 2021-01-07 14:05:03 UTC
(In reply to Alex Thurgood from comment #2)
> There is no preview of the database file, it has always only ever been an
> icon, so I guess what you are seeing there is kind of expected.
> 
Kind off. The old start center had a white background. Which made the icon pop out.. dislike the grayish transparency. Certainly if you put between Writer previews or something like that.

So reducing transparency, putting bit white in it, maybe.. not a graphic designer
Comment 4 Telesto 2021-01-07 14:06:02 UTC
Enlarging the icon to fill the whole 'preview area' will do too, IMHO
Comment 5 Alex Thurgood 2021-01-08 12:32:02 UTC
(In reply to Telesto from comment #4)
> Enlarging the icon to fill the whole 'preview area' will do too, IMHO

+1 to that if we can't get some kind of real preview.

Personally, I would suggest the first form in the list of forms as the preview, but if no form was present, what then, the first table (grid view).
Comment 6 andreas_k 2021-01-19 09:28:36 UTC
Instead of enlarge an icon (which is everywhere else the same size) I would suggest to make an "dummy preview" image which describe an generic database. 

there will be an white dummy preview with the database icon bottom right (as everywhere else).

(for sure if an preview is not possible only)
Comment 7 Heiko Tietze 2021-01-21 09:20:53 UTC
This topic has been discussed in the design meeting. Andreas' proposal to create a dummy preview sounds like the best solution until a real preview is possible. Do you volunteer with the graphic, Andreas?
Comment 8 andreas_k 2021-02-24 15:15:56 UTC
Created attachment 170030 [details]
base_preview.png
Comment 9 andreas_k 2021-02-24 15:16:47 UTC
Created attachment 170031 [details]
base_preview.svg

origin file if you'd like to change something.
Comment 10 Heiko Tietze 2021-02-25 10:36:40 UTC
Many thanks, Andreas!
Comment 11 Commit Notification 2021-02-27 11:05:31 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/db28ff6b4b1af86e1b4f1d817cf7216d5d26f29a

Resolves tdf#139453 - Image for Base in start center

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Rizal Muttaqin 2021-04-11 23:19:35 UTC
Created attachment 171107 [details]
Large MIME type in protected presentation file

(In reply to Telesto from comment #4)
> Enlarging the icon to fill the whole 'preview area' will do too, IMHO

This is how the situation in older LibO version (can't recall the exact version).  Current dummy preview hasn't been able to provide the highest aesthetic level. I have tried to figure out a nice looking design that is pleasing to the eye but failed. And the most important thing that dummy preview doesn't provide any actual information.

Another reason is that some documents such as encrypted / password protected documents also use large MIME types.
Comment 13 Heiko Tietze 2021-04-12 07:26:24 UTC
Created attachment 171111 [details]
Screenshot

(In reply to Rizal Muttaqin from comment #12)
>  ...provide the highest aesthetic level.

Shown image appears as crisp as the submitted [1] to me.

https://gerrit.libreoffice.org/c/core/+/111534/4/icon-themes/colibre/res/base_thumbnail_256.png

> Another reason is that some documents such as encrypted / password protected
> documents also use large MIME types.

How do you create an encrypted / password protected database?
Comment 14 Rizal Muttaqin 2021-04-14 20:36:06 UTC
(In reply to Heiko Tietze from comment #13)

> 
> How do you create an encrypted / password protected database?

Of course, encrypted database are not currently supported. My emphasis is that if there is no actual information that can be extracted as a preview, then it is better to leave this MIME type to be large similar with encrypted / password protected document.